Bug 237769 - Wrong init script
Wrong init script
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: apmd (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
qe-baseos-daemons
:
Depends On:
Blocks: 237789 237770 237771
  Show dependency treegraph
 
Reported: 2007-04-25 06:48 EDT by Michal Marciniszyn
Modified: 2014-11-09 17:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-15 03:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 06:48:58 EDT
Description of problem:
If we do not have support for APM the init script ends with error code 0 without
starting apmd. Also the status does not returns correct error code when invoked.
Note that status function should always run and return something (irrespectively
whether service may or may not be runned).

Version-Release number of selected component (if applicable):


How reproducible:
with non-APM architecture

Steps to Reproduce:
1. service apmd start
2. echo $?
3.
  
Actual results:
0

Expected results:
non-zero error code that corresponds to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is implemented correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html
Comment 1 RHEL Product and Program Management 2007-12-03 15:42:12 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Note You need to log in before you can comment on or make changes to this bug.